DEBUG_ME = false;
local SealJudgeOptionArray = { "Enabled", "JudgeSeal", "CombatSeal", "CombatSealAlways", "ExorcismWhenReady", "HammerOfWrathWhenReady", "HolyShockWhenReady" };
local SealJudgeOptionTipArray = { SEALJUDGE_ENABLED_TIP, SEALJUDGE_JUDGESEAL_TIP, SEALJUDGE_COMBATSEAL_TIP, SEALJUDGE_COMBATSEAL_ALWAYS_TIP, SEALJUDGE_EXORCISM_TIP, SEALJUDGE_HAMMEROFWRATH_TIP, SEALJUDGE_HOLYSHOCK_TIP };
local SealJudgeOptionTextArray = { SEALJUDGE_ENABLED, SEALJUDGE_JUDGESEAL, SEALJUDGE_COMBATSEAL, SEALJUDGE_COMBATSEAL_ALWAYS, SEALJUDGE_EXORCISM, SEALJUDGE_HAMMEROFWRATH, SEALJUDGE_HOLYSHOCK };
function SealJudgeOption_Show()
  if not SJConfig then this:GetParent():Hide(); return; end
  local sjms = SJConfig[SealJudgeOptionArray[this:GetID()]]
  if sjms then
    this:SetChecked(1);
  else
    this:SetChecked(0);
  end
  sjms = nil;
  getglobal(this:GetName().."Text"):SetText(SealJudgeOptionTextArray[this:GetID()]);
end
function SealJudgeOption_Click()
  if not SJConfig then this:GetParent():Hide(); return; end
  if this:GetChecked() then
    SJConfig[SealJudgeOptionArray[this:GetID()]] = true;
  else
    SJConfig[SealJudgeOptionArray[this:GetID()]] = false;
  end
end
function SealJudgeOption_Enter()
  if not SJConfig then this:GetParent():Hide(); return; end
  local msg = SealJudgeOptionTipArray[this:GetID()];
  GameTooltip:SetOwner(this, "ANCHOR_RIGHT");
  GameTooltip:SetBackdropColor(0.0, 0.0, 0.0);
  if msg ~= nil then
    GameTooltip:SetText(msg, 1.0, 1.0, 1.0);
  end
end
function SealJudge_RadioShowCheck()
  if SJConfig["JudgeSeal_ToBeJudged"] == SEALJUDGE_JUDGESEAL_CRUSADER then
    SJJudgeSeal_SealChoose1:SetChecked(1);
  end
  if SJConfig["JudgeSeal_ToBeJudged"] == SEALJUDGE_JUDGESEAL_JUSTICE then
    SJJudgeSeal_SealChoose2:SetChecked(1);
  end
  if SJConfig["JudgeSeal_ToBeJudged"] == SEALJUDGE_JUDGESEAL_LIGHT then
    SJJudgeSeal_SealChoose3:SetChecked(1);
  end
  if SJConfig["JudgeSeal_ToBeJudged"] == SEALJUDGE_JUDGESEAL_WISDOM then
    SJJudgeSeal_SealChoose4:SetChecked(1);
  end
  if SJConfig["CombatSeal_ToKeepUp"] == SEALJUDGE_COMBATSEAL_COMMAND then
    SJCombatSeal_SealChoose1:SetChecked(1);
  end
  if SJConfig["CombatSeal_ToKeepUp"] == SEALJUDGE_COMBATSEAL_RIGHTEOUSNESS then
    SJCombatSeal_SealChoose2:SetChecked(1);
  end
  if SJConfig["CombatSeal_ToKeepUp"] == SEALJUDGE_COMBATSEAL_CRUSADER then
    SJCombatSeal_SealChoose3:SetChecked(1);
  end
  if SJConfig["CombatSeal_ToKeepUp"] == SEALJUDGE_COMBATSEAL_WISDOM then
    SJCombatSeal_SealChoose4:SetChecked(1);
  end
  if SJConfig["CombatSeal_ToKeepUp"] == SEALJUDGE_COMBATSEAL_LIGHT then
    SJCombatSeal_SealChoose5:SetChecked(1);
  end
  if SJConfig["CombatSeal_ToKeepUp"] == SEALJUDGE_COMBATSEAL_JUSTICE then
    SJCombatSeal_SealChoose6:SetChecked(1);
  end
  if SJConfig["JudgeSealWhen"] == "Stun" then
    SJJudgeWhen_Choose1:SetChecked(1);
  end
  if SJConfig["JudgeSealWhen"] == "Always" then
    SJJudgeWhen_Choose2:SetChecked(1);
  end
  if SJConfig["JudgeSealWhen"] == "Never" then
    SJJudgeWhen_Choose3:SetChecked(1);
  end
end
function SealJudgeJudgeRadio_Click()
  if not SJConfig then this:GetParent():Hide(); return; end
  if (SJJudgeSeal_SealChoose1:GetChecked()) then
    SJConfig["JudgeSeal_ToBeJudged"] = SEALJUDGE_JUDGESEAL_CRUSADER;
  elseif (SJJudgeSeal_SealChoose2:GetChecked()) then
    SJConfig["JudgeSeal_ToBeJudged"] = SEALJUDGE_JUDGESEAL_JUSTICE;
  elseif (SJJudgeSeal_SealChoose3:GetChecked()) then
    SJConfig["JudgeSeal_ToBeJudged"] = SEALJUDGE_JUDGESEAL_LIGHT;
  elseif (SJJudgeSeal_SealChoose4:GetChecked()) then
    SJConfig["JudgeSeal_ToBeJudged"] = SEALJUDGE_JUDGESEAL_WISDOM;
  end
end
function SealJudgeCombatRadio_Click()
  if not SJConfig then this:GetParent():Hide(); return; end
  if (SJCombatSeal_SealChoose1:GetChecked()) then
    SJConfig["CombatSeal_ToKeepUp"] = SEALJUDGE_COMBATSEAL_COMMAND;
  elseif (SJCombatSeal_SealChoose2:GetChecked()) then
    SJConfig["CombatSeal_ToKeepUp"] = SEALJUDGE_COMBATSEAL_RIGHTEOUSNESS;
  elseif (SJCombatSeal_SealChoose3:GetChecked()) then
    SJConfig["CombatSeal_ToKeepUp"] = SEALJUDGE_COMBATSEAL_CRUSADER;
  elseif (SJCombatSeal_SealChoose4:GetChecked()) then
    SJConfig["CombatSeal_ToKeepUp"] = SEALJUDGE_COMBATSEAL_WISDOM;
  elseif (SJCombatSeal_SealChoose5:GetChecked()) then
    SJConfig["CombatSeal_ToKeepUp"] = SEALJUDGE_COMBATSEAL_LIGHT;
  elseif (SJCombatSeal_SealChoose6:GetChecked()) then
    SJConfig["CombatSeal_ToKeepUp"] = SEALJUDGE_COMBATSEAL_JUSTICE;
  end
end
function SealJudgeWhenRadio_Click()
  if not SJConfig then this:GetParent():Hide(); return; end
  if (SJJudgeWhen_Choose1:GetChecked()) then
    SJConfig["JudgeSealWhen"] = "Stun";
  elseif (SJJudgeWhen_Choose2:GetChecked()) then
    SJConfig["JudgeSealWhen"] = "Always";
  elseif (SJJudgeWhen_Choose3:GetChecked()) then
    SJConfig["JudgeSealWhen"] = "Never";
  end
end
